Bug 819299 - SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the sock_file native.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the sock_f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6246981a3c371112d67cbbe3786...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 07:22 EDT by Niranjan Mallapadi Raghavender
Modified: 2013-02-13 13:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niranjan Mallapadi Raghavender 2012-05-06 07:22:03 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-6.fc16.x86_64
reason:         SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the sock_file native.
time:           Sun 06 May 2012 04:51:42 PM IST

description:
:SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the sock_file native.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pulseaudio should be allowed write access on the native sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                staff_u:staff_r:pulseaudio_t:s0
:Target Context                sysadm_u:object_r:tmp_t:s0
:Target Objects                native [ sock_file ]
:Source                        pulseaudio
:Source Path                   /usr/bin/pulseaudio
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pulseaudio-0.9.23-1.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-6.fc16.x86_64
:                              #1 SMP Sat Apr 21 12:43:20 UTC 2012 x86_64 x86_64
:Alert Count                   5970
:First Seen                    Sun 06 May 2012 12:29:29 PM IST
:Last Seen                     Sun 06 May 2012 04:50:22 PM IST
:Local ID                      0109aa3c-7945-410c-bfc2-b2e93ff66b8b
:
:Raw Audit Messages
:type=AVC msg=audit(1336303222.429:16444): avc:  denied  { write } for  pid=2198 comm="pulseaudio" name="native" dev="dm-0" ino=665750 scontext=staff_u:staff_r:pulseaudio_t:s0 tcontext=sysadm_u:object_r:tmp_t:s0 tclass=sock_file
:
:
:type=SYSCALL msg=audit(1336303222.429:16444): arch=x86_64 syscall=connect success=no exit=EACCES a0=12 a1=7fffbc210ef0 a2=6e a3=21 items=0 ppid=2195 pid=2198 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pulseaudio exe=/usr/bin/pulseaudio subj=staff_u:staff_r:pulseaudio_t:s0 key=(null)
:
:Hash: pulseaudio,pulseaudio_t,tmp_t,sock_file,write
:
:audit2allow
:
:#============= pulseaudio_t ==============
:allow pulseaudio_t tmp_t:sock_file write;
:
:audit2allow -R
:
:#============= pulseaudio_t ==============
:allow pulseaudio_t tmp_t:sock_file write;
:
Comment 1 Miroslav Grepl 2012-05-07 08:09:05 EDT
Have you turned on permissive mode?

what does 

# ls -Z /tmp/native*

now?
Comment 2 Fedora End Of Life 2013-01-16 10:45:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 13:55:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.